Public Member Functions | Public Attributes | List of all members
PowerPoint1ParserInternal::Frame Struct Reference

Internal: a frame of a PowerPoint1Parser. More...

## Public Member Functions
| Frame ()
| constructor More...

## Public Attributes
int | m_type
| the type: 0:line, 1:rect, 2: textbox, ... More...
MWAWBox2i | m_dimension
| the dimension More...
int | m_cornerSize
| the corner width More...
MWAWGraphicStyle | m_style
| the style More...
int | m_rulerId
| the paragraph id More...
int | m_pictureId
| the picture id More...
MWAWVec2i | m_textId
| the text sub id: first and last id More...

## Detailed Description

Internal: a frame of a PowerPoint1Parser.

## Constructor & Destructor Documentation

## ◆ Frame()

PowerPoint1ParserInternal::Frame::Frame | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_cornerSize

int PowerPoint1ParserInternal::Frame::m_cornerSize

the corner width

Referenced by PowerPoint1Parser::readFramesList(), and PowerPoint1Parser::sendFrame().

## ◆ m_dimension

MWAWBox2i PowerPoint1ParserInternal::Frame::m_dimension

the dimension

Referenced by PowerPoint1Parser::readFramesList(), and PowerPoint1Parser::sendFrame().

## ◆ m_pictureId

int PowerPoint1ParserInternal::Frame::m_pictureId

the picture id

Referenced by PowerPoint1Parser::readFramesList(), and PowerPoint1Parser::sendFrame().

## ◆ m_rulerId

int PowerPoint1ParserInternal::Frame::m_rulerId

the paragraph id

Referenced by PowerPoint1Parser::readFramesList(), and PowerPoint1Parser::sendFrame().

## ◆ m_style

MWAWGraphicStyle PowerPoint1ParserInternal::Frame::m_style

the style

Referenced by PowerPoint1Parser::readFramesList(), and PowerPoint1Parser::sendFrame().

## ◆ m_textId

MWAWVec2i PowerPoint1ParserInternal::Frame::m_textId

the text sub id: first and last id

Referenced by PowerPoint1Parser::readFramesList(), and PowerPoint1Parser::sendFrame().

## ◆ m_type

int PowerPoint1ParserInternal::Frame::m_type

the type: 0:line, 1:rect, 2: textbox, ...

Referenced by PowerPoint1Parser::readFramesList(), and PowerPoint1Parser::sendFrame().

The documentation for this struct was generated from the following file:

- PowerPoint1Parser.cxx